精華區beta Cad_Cae 關於我們 聯絡資訊
; for theta=0 to 360 step dt do (setq no 100) (setq theta 0.0 dt (/ 360.0 no)) (setq dt (+ dt (/ dt 10.0))) (setvar "cmdEcho" 0) (command "pline") (while (<= theta 360.0) (setq t1 (* (/ theta 180.0) pi)) (setq y1 (sin t1)) (command (list t1 y1)) (setq theta (+ theta dt)) ); end of while() (command "") (princ) ; 後面是註解 我的部落格 破 5000紀念 http://myblog.pchome.com.tw/sjgau/ -- ※ 發信站: 批踢踢實業坊(ptt.cc) ◆ From: 210.243.238.233 > -------------------------------------------------------------------------- < 作者: YENJJJ (人生苦短) 看板: Cad_Cae 標題: Re: 叫AutoCAD畫sin- 函數圖形的程式 時間: Mon Oct 17 08:37:18 2005 我也來貼我的sine 不過好像可以直接用sin比較快喔.... (defun c:pt ( / ip p1 p2 l n w1 w2 w3 i x y y1 c k) (graphscr) (setq ip (getpoint "\n Input insertion point ip=")) (setq l (getdist "\n Input beam's length l=")) (setq n (getdist "\n Input how many points to draw:")) (setq w1 (getdist "\n Input the sine frequency w1:")) (setq k (getdist "\n Input the manitude:")) (setq i (/ l n)) (setq p1 ip) (setq x (car ip)) (while (<= x (+ l (car ip))) (setq y (sin (* w1 x))) (setq y (* k y)) (setq p2 (list x y)) (command "line" p1 p2 "") (setq p1 p2) (setq x (+ x i)) ) (redraw) (princ) ) -- ※ 發信站: 批踢踢實業坊(ptt.cc) ◆ From: 220.133.60.47 > -------------------------------------------------------------------------- <